> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetgeek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Highlights

> Get all highlights by meeting id



## OpenAPI

````yaml GET /v1/meetings/{meetingId}/highlights
openapi: 3.0.0
info:
  description: This is a sample server celler server.
  title: MeetGeek API
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: http://www.swagger.io/support
    email: support@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.meetgeek.ai
  - url: https://api-eu.meetgeek.ai
  - url: https://api-us.meetgeek.ai
security:
  - Bearer: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /v1/meetings/{meetingId}/highlights:
    get:
      tags:
        - highlight
      summary: Retrives highlights for a meeting
      description: Get all highlights by meeting id
      parameters:
        - description: Meeting ID
          name: meetingId
          in: path
          required: true
          schema:
            type: string
        - description: Type of highlights to retrieve (e.g. 'next_steps')
          name: type
          in: query
          schema:
            type: string
            minLength: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_models.Highlights
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.BadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.UnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.AccessDeniedError
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.MeetingNotFoundError
        '410':
          description: Gone
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.GoneError
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.InternalServerError
      security:
        - Bearer: []
components:
  schemas:
    github_com_meetgeekai_api_internal_models.Highlights:
      type: object
      properties:
        meeting_id:
          type: string
          example: 17c36737-1bf5-4626-8483-88285f6a33ee
        highlights:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_meetgeekai_api_internal_models.Highlight
    github_com_meetgeekai_api_internal_errors.BadRequestError:
      type: object
      properties:
        message:
          type: string
          example: bad request
        reason:
          type: string
          example: missing api key
    github_com_meetgeekai_api_internal_errors.UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          example: unauthorized
    github_com_meetgeekai_api_internal_errors.AccessDeniedError:
      type: object
      properties:
        message:
          type: string
          example: you do not have access to view this meeting
    github_com_meetgeekai_api_internal_errors.MeetingNotFoundError:
      type: object
      properties:
        message:
          type: string
          example: meeting not found
    github_com_meetgeekai_api_internal_errors.GoneError:
      type: object
      properties:
        message:
          type: string
          example: target resource is no longer available
    github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError:
      type: object
      properties:
        message:
          type: string
          example: quota limit reached
        unit:
          type: string
          example: day
    github_com_meetgeekai_api_internal_errors.InternalServerError:
      type: object
      properties:
        message:
          type: string
          example: internal server error
    github_com_meetgeekai_api_internal_models.Highlight:
      type: object
      properties:
        highlightText:
          type: string
          example: >-
            John has been assigned to cross check KPIs from different company
            data ingestors.
        label:
          type: string
          example: Task
  securitySchemes:
    Bearer:
      description: Type "Bearer" followed by a space and a token
      type: apiKey
      name: Authorization
      in: header

````